Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component
Class UISelectItems

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UISelectItems
                  org.jboss.seam.ui.component.UISelectItems

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  HtmlSelectItems

    public abstract class UISelectItems

extends javax.faces.component.UISelectItems

Field Summary

Fields inherited from class javax.faces.component.UISelectItems
`COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UISelectItems()`

Method Summary
`abstract Object` | `getItemValue()`
`String` | `getLabel()`
`abstract String` | `getNoSelectionLabel()`
`Object` | `getValue()`
`abstract String` | `getVar()`
`abstract Boolean` | `isDisabled()`
`abstract Boolean` | `isEscape()`
`abstract Boolean` | `isHideNoSelectionLabel()`
`abstract void` | `setDisabled(Boolean disabled)`
`abstract void` | `setEscape(Boolean escape)`
`abstract void` | `setHideNoSelectionLabel(Boolean hideNoSelectionLabel)`
`abstract void` | `setItemValue(Object itemValue)`
`void` | `setLabel(String label)`
`abstract void` | `setNoSelectionLabel(String noSelectionLabel)`
`abstract void` | `setVar(String var)`

Methods inherited from class javax.faces.component.UISelectItems
`getFamily, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UISelectItems

    public UISelectItems()

Method Detail

### getLabel

    public String getLabel()

### setLabel

    public void setLabel(String label)

### setHideNoSelectionLabel

    public abstract void setHideNoSelectionLabel(Boolean hideNoSelectionLabel)

### isHideNoSelectionLabel

    public abstract Boolean isHideNoSelectionLabel()

### getNoSelectionLabel

    public abstract String getNoSelectionLabel()

### setNoSelectionLabel

    public abstract void setNoSelectionLabel(String noSelectionLabel)

### getVar

    public abstract String getVar()

### setVar

    public abstract void setVar(String var)

### isDisabled

    public abstract Boolean isDisabled()

### setDisabled

    public abstract void setDisabled(Boolean disabled)

### isEscape

    public abstract Boolean isEscape()

### setEscape

    public abstract void setEscape(Boolean escape)

### getItemValue

    public abstract Object getItemValue()

### setItemValue

    public abstract void setItemValue(Object itemValue)

### getValue

    public Object getValue()

  Overrides:
    `getValue` in class `javax.faces.component.UISelectItems`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.